Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0031443
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] Z. Othersminoralways2015-11-06 10:502015-11-12 19:27
ReportermaiteView Statuspublic 
Assigned Toaferraz 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionb2793ba35559
ProjectionnoneETAnoneTarget Version3.0PR15Q3.4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesAdvanced Payables and Receivables Mngmt
Regression levelProduction - Confirmed Stable
Regression date2014-09-23
Regression introduced in release3.0PR14Q4
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/179d97ee602d [^]
Triggers an Emergency PackNo
Summary

0031443: Hover over Matched Document does not show document details information as before, in Match Statement pop-up

DescriptionBefore Match Statement refactor, if you hover over "Matched document" field document details information was shown: invoice/order documentno or gl item information
Steps To Reproduce1. Access Cuenta de Banco financial account, create new Bank Statement record and line with amount in=15 and process bank statement.
2. Register Sales Invoice with total gross =15. Process invoice
3. Register payment related with the invoice.
4. Run "Match Statement" process and match bank statement line with previous payment.
5. Hover over "Matched Document" field and realize that no information abut invoice appear

If you follow similar process in version prior to refactor (for example MP30.3) you can verify that invoice's document number appears
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 00313893.0PR16Q1 closedaferraz Hover over Matched Document does not show document details information as before, in Match Statement pop-up 

-  Notes
(0081787)
hgbot (developer)
2015-11-12 19:24

Repository: erp/backports/3.0PR15Q3.4
Changeset: b2793ba35559c366a2218a86747902aa9fef1657
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Wed Nov 11 20:01:21 2015 +0100
URL: http://code.openbravo.com/erp/backports/3.0PR15Q3.4/rev/b2793ba35559c366a2218a86747902aa9fef1657 [^]

Fixes issue 31441 & Fixes issue 31443: Add two new columns in Match Statement

Added Business Partner Name and Transaction Description as new fields in Match Statement P&E window. They will not be shown in grid by default.
HQL Query in aprm_matchstatement table has been modified to retrieve this two new columns from FIN_BankStatementLine and FIN_Finacc_Transaction tables, and to retrieve bp.name as businessPartner also in case it is null.

---
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/AD_COLUMN.xml
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/AD_FIELD.xml
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/AD_TABLE.xml
---
(0081795)
vmromanos (developer)
2015-11-12 19:27

Code review + testing OK

- Issue History
Date Modified Username Field Change
2015-11-12 10:14 aferraz Type defect => backport
2015-11-12 10:14 aferraz Target Version 3.0PR16Q1 => 3.0PR15Q3.5
2015-11-12 17:38 vmromanos Target Version 3.0PR15Q3.5 => 3.0PR15Q3.4
2015-11-12 19:24 hgbot Checkin
2015-11-12 19:24 hgbot Note Added: 0081787
2015-11-12 19:24 hgbot Status scheduled => resolved
2015-11-12 19:24 hgbot Resolution open => fixed
2015-11-12 19:24 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR15Q3.4/rev/b2793ba35559c366a2218a86747902aa9fef1657 [^]
2015-11-12 19:27 vmromanos Review Assigned To => vmromanos
2015-11-12 19:27 vmromanos Note Added: 0081795
2015-11-12 19:27 vmromanos Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker